using Edu.Common.Plugin;
using System;
using System.Collections.Generic;
using System.Text;

namespace Edu.Common.Enum.Course
{
    /// <summary>
    /// 教师奖金状态枚举
    /// </summary>
    public enum BonusStateEnum
    {
        /// <summary>
        /// 待确认
        /// </summary>
        [EnumField("待确认")]
        Wait = 1,

        /// <summary>
        /// 已确认
        /// </summary>
        [EnumField("已确认")]
        Confirmed = 2,
        /// <summary>
        /// 取消
        /// </summary>
        [EnumField("取消")]
        Cancel = 3,
        /// <summary>
        /// 生成中
        /// </summary>
        [EnumField("生成中")]
        Create = 4
    }

    /// <summary>
    /// 绩效状态
    /// </summary>
    public enum PerfStateEnum
    {
        /// <summary>
        /// 待确认
        /// </summary>
        [EnumField("待确认")]
        Wait = 1,

        /// <summary>
        /// 已确认
        /// </summary>
        [EnumField("已确认")]
        Confirmed = 2,
        /// <summary>
        /// 不发放绩效
        /// </summary>
        [EnumField("不发放绩效")]
        Cancel = 3
    }
}
